=== debian/control ===
Source: irsim
Section: electronics
Priority: extra
Maintainer: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, tcl-dev, tk-dev, mesa-common-dev, m4, x11proto-core-dev, libxt-dev
Standards-Version: 3.9.2
Homepage: http://opencircuitdesign.com/irsim/

Package: irsim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: switch-level simulator
 IRSIM is a tool for simulating digital circuits. It is a "switch-level"
 simulator; that is, it treats transistors as ideal switches. Extracted
 capacitance and lumped resistance values are used to make the switch a little
 bit more realistic than the ideal, using the RC time constants to predict the
 relative timing of events.
