## irsim 9.7.75

=== debian/changelog ===
irsim (9.7.75-1) unstable; urgency=low

  * New upstream release
  * debian/compat: 9
  * debian/control: Standards-Version: 3.9.3

 -- Roland Stigge <stigge@antcom.de>  Sat, 10 Mar 2012 20:43:11 +0100
