=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: electronics
 Priority: extra
 Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, tcl-dev, tk-dev, mesa-common-dev, m4, x11proto-core-dev, libxt-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), autotools-dev, tcl-dev, tk-dev, mesa-common-dev, m4, x11proto-core-dev, libxt-dev
+Standards-Version: 3.9.3
 Homepage: http://opencircuitdesign.com/irsim/
 
 Package: irsim
