=== debian/changelog ===
irsim (9.7.82-2) unstable; urgency=low

  * Use autotools-dev to update config.{sub,guess} (Closes: #727389)

 -- Roland Stigge <stigge@antcom.de>  Thu, 24 Oct 2013 11:30:39 +0200

irsim (9.7.82-1) unstable; urgency=low

  * New upstream release
  * Use readlink for /usr/bin/wish in irsim to use versioned wish
    (Closes: #725700)

 -- Roland Stigge <stigge@antcom.de>  Thu, 17 Oct 2013 10:35:16 +0200
