=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: electronics
 Priority: extra
 Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 9), autotools-dev, tcl-dev, tk-dev, mesa-common-dev, m4, x11proto-core-dev, libxt-dev
+Build-Depends: debhelper (>= 9), autotools-dev, tcl-dev, tk-dev, mesa-common-dev, m4, x11proto-core-dev, libxt-dev, autotools-dev
 Standards-Version: 3.9.4
 Homepage: http://opencircuitdesign.com/irsim/
