## irsim 9.7.87

=== debian/changelog ===
irsim (9.7.87-1) unstable; urgency=medium

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 07 Jun 2014 16:13:37 +0200

irsim (9.7.84-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.5

 -- Roland Stigge <stigge@antcom.de>  Thu, 29 May 2014 17:42:57 +0200
