=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Roland Stigge <stigge@antcom.de>
 Build-Depends: debhelper (>= 9), autotools-dev, tcl-dev, tk-dev, mesa-common-dev, m4, x11proto-core-dev, libxt-dev, autotools-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://opencircuitdesign.com/irsim/
 
 Package: irsim
