=== debian/watch ===
version=3
http://opencircuitdesign.com/irsim/download.html .*irsim-(.*).tgz
