=== debian/changelog ===
irsim (9.7.93-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.6
  * Added 05-reproducible-build.patch to make build reproducible. Thanks to
    Chris Lamb (Closes: #778267)

 -- Roland Stigge <stigge@antcom.de>  Sat, 16 Jan 2016 16:39:46 +0100
