## irsim 9.7.101

=== faultsim/Makefile ===
MODULE = faultsim
IRSIMDIR = ..
SRCS = faultsim.c incsim.c

include ${IRSIMDIR}/defs.mak

CFLAGS += -I${IRSIMDIR}/base

include ${IRSIMDIR}/rules.mak
