=== debian/changelog ===
irsim (9.7.101-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 20 Dec 2018 10:40:53 +0100

irsim (9.7.100-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches (using 'gbp pq')
  * Adopt orphaned package into the Debian Electronics team
    with myself as the only uploader. (Closes: #812628)
  * debian/autoreconf:
    - specify path of autoreconf files such that dh-autoreconf works correctly
  * debian/compat: level 11
  * debian/control:
    - Priority changed to optional
    - Maintainer changed to "Debian Electronics Team".
    - Added "Ruben Undheim" as uploader
    - debhelper >= 11
    - New standards version 4.2.1 - no changes
    - Added VCS URLs pointing to Salsa.
    - Upper-case first letter in short description
  * debian/copyright:
    - Use secure URL in Format field
    - Added new debian copyright holder
  * debian/gbp.conf: to enforce pristine-tar with gbp
  * debian/lintian-overrides: ignore one spelling error
  * debian/patches/05-reproducible-build.patch:
    - Patch for reproducible build updated (Closes: #829628)
      Thanks "Chris Lamb"!
  * debian/patches/0006-Fix-spelling-errors.patch:
    - Fix a number of detected spelling errors
  * debian/rules:
    - Add flags for hardening
    - Replace '--with autotools_dev' with '--with autoreconf'

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 02 Sep 2018 23:30:30 +0200

irsim (9.7.93-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #812628)
  * Migrated DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 4.0.0.
  * debian/watch: updated version to 4.
  * Run wrap-and-sort -a.

 -- Felipe Barbosa Alves <barbosa.felipe10@gmail.com>  Mon, 04 Sep 2017 14:26:33 -0300
