=== debian/control ===
Source: irsim
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 11),
               libxt-dev,
               mesa-common-dev,
               tcl-dev,
               tk-dev,
               x11proto-core-dev
Standards-Version: 4.2.1
Homepage: http://opencircuitdesign.com/irsim/
Vcs-Browser: https://salsa.debian.org/electronics-team/irsim
Vcs-Git: https://salsa.debian.org/electronics-team/irsim.git

Package: irsim
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Switch-level simulator
 IRSIM is a tool for simulating digital circuits. It is a "switch-level"
 simulator; that is, it treats transistors as ideal switches. Extracted
 capacitance and lumped resistance values are used to make the switch a little
 bit more realistic than the ideal, using the RC time constants to predict the
 relative timing of events.
