=== usersubckt/Makefile ===
MODULE	  = usersubckt
IRSIMDIR  = ..
SRCS      = subckt.c user.c

include ${IRSIMDIR}/defs.mak

CFLAGS +=  -I${IRSIMDIR}/base

include ${IRSIMDIR}/rules.mak
