=== debian/changelog ===
irsim (9.7.104-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096862)
  * Backport the upstream fix instead of ignoring compile errors
    for missing function declarations.
  * Stop adding -Wl,--as-needed, it's now the default.

 -- Adrian Bunk <bunk@debian.org>  Fri, 03 Oct 2025 18:11:52 +0300

irsim (9.7.104-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * this package shall be kept (Closes: #1086129)
  * debian/rules: add execute_before_dh_auto_configure to respect
                  upstreams handling of ./configure (Closes: #997299)
  * debian/rules: ignore compiler errors
    Most of these issues have been fixed in more recent versions of irsim,
    but they must be ignored to compile versions 9.7.104 with recent
    versions of GCC.
    (Thanks to Gioele Barabucci for taking care of these issues)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 19 Nov 2024 22:03:02 +0100

irsim (9.7.104-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - New standards version 4.4.1 - no changes
    - DH level 12
    - Use debhelper-compat
  * debian/patches/0007-Fix-cross-build.patch (Closes: #941324)
    - Thanks Helmut Grohne

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 19 Oct 2019 20:07:42 +0200
