=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libxt-dev,
                mesa-common-dev,
                tcl-dev,
                tk-dev,
                x11proto-core-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://opencircuitdesign.com/irsim/
 Vcs-Browser: https://salsa.debian.org/electronics-team/irsim
 Vcs-Git: https://salsa.debian.org/electronics-team/irsim.git
