=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autoreconf
+
+execute_before_dh_auto_configure:
+	cp -v -r scripts/* ./
 
 override_dh_auto_install:
 	dh_auto_install
