=== debian/watch ===
version=4
http://opencircuitdesign.com/irsim/download.html .*irsim-(.*).tgz
